/********** Abhishek CSS **********/
:root {
    --primary: #e992a6;
    --secondary: #2c2e3a;
    --light: #ffffff;
    --dark: #000000;
    --nav-color: #0325fe;
    --oranger: #fce9af;
    --other: #17a2b8;
    --green: #1e703b;
}

body {
    color: var(--dark);
}

.text-primary {
    color: var(--other) !important;
}

.btn.btn-primary {
    background-color: var(--oranger);
    color: var(--dark);
    border: none;
    box-shadow: none;
    font-size: 15px;
}

.btn.btn-primary:hover {
    background-color: var(--other);
    color: var(--light);
}

.bg-primary {
    background-color: var(--other) !important;
}

/*--------------------------------------------------------------
# Disable aos animation delay on mobile devices
--------------------------------------------------------------*/
@media screen and (max-width: 768px) {
    [data-aos-delay] {
        transition-delay: 0 !important;
    }
}

.back-to-top {
    position: fixed;
    display: none;
    right: 42px;
    bottom: 30px;
    z-index: 99;
    background-color: var(--nav-color);
    color: var(--light);
    box-shadow: none;
}

.btn-hed1 {
    background-color: var(--green);
    border-color: var(--green) !important;
    color: var(--light);
    box-shadow: none;
    transition: 1s;
    -webkit-transition: 1s;
    -moz-transition: 1s;
    -ms-transition: 1s;
    -o-transition: 1s;
}

.btn-hed1:hover {
    background-color: var(--other);
    border-color: var(--other) !important;
    color: var(--light);
    box-shadow: none;
}

.btn-hed2 {
    background-color: var(--other);
    border-color: var(--other) !important;
    color: var(--light);
    box-shadow: none;
    transition: 1s;
    -webkit-transition: 1s;
    -moz-transition: 1s;
    -ms-transition: 1s;
    -o-transition: 1s;
}

.btn-hed2:hover {
    background-color: var(--oranger);
    border-color: var(--oranger) !important;
    color: var(--dark);
    box-shadow: none;
}

.back-to-top:hover {
    background-color: var(--other);
    color: var(--light);
    box-shadow: none;
}

/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.5s ease-out, visibility 0s linear 0.5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity 0.5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}

/*** Button ***/
.btn {
    font-weight: 500;
    transition: 0.5s;
}

.btn.btn-primary {
    color: var(--light);
}

.btn-square {
    width: auto;
    height: 38px;
    font-size: 0.875em;
    color: var(--dark);
}

.btn-square2 {
    width: 38;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}

/*** Navbar ***/
.upper-bar {
    background-color: var(--primary);
    color: #1630e3d1;
    font-weight: 600;
}

.upper-bar .breadcrumb li a,
.upper-bar li a {
    color: #000 !important;
}

.upper-bar .breadcrumb li a:hover,
.upper-bar li a:hover {
    color: var(--nav-color) !important;
}

.main-nav {
    background-color: var(--nav-color);
    color: var(--light);
}

.navbar {
    background-color: var(--oranger);
}

/* .main-nav .navbar-brand .logo {
    height: 76px;
}  */

@media (max-width: 600px) {
    .main-nav .navbar-brand .logo {
        height: 56px !important;
    }
}

@media (max-width: 991px) {
    .main-nav .navbar-brand .logo {
        height: 88px;
    }
}

.main-nav .qr-code {
    height: 100px;
    width: 100px;
    margin-left: 15px;
}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

.navbar .dropdown .dropdown-menu {
    border: 1px solid var(--nav-color);
}

.navbar .dropdown .dropdown-item {
    font-size: 13px;
    font-weight: 500;
    padding: 6px 12px !important;
}

.navbar .dropdown .dropdown-item:hover {
    background-color: var(--nav-color);
    color: var(--light);
}

.navbar .navbar-nav .nav-link {
    margin-right: 12px;
    padding: 6px;
    color: var(--dark);
    font-weight: 500;
    font-size: 13px;
    outline: none;
    transition: 1s;
    -webkit-transition: 1s;
    -moz-transition: 1s;
    -ms-transition: 1s;
    -o-transition: 1s;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
    color: var(--dark);
    background-color: var(--light);
}

.navbar.sticky-top {
    top: -100px;
    transition: 0.5s;
}

@media (max-width: 991.98px) {
    .navbar .navbar-nav .nav-link {
        margin-right: 0;
        padding: 8px 0;
    }

    .navbar .navbar-nav {
        margin-top: 8px;
        border-top: 1px solid rgba(256, 256, 256, 0.1);
    }
}

@media (min-width: 992px) {
    /* .navbar .nav-item .dropdown-menu {
        display: block;
        visibility: hidden;
        top: 100%;
        transform: rotateX(-75deg);
        transform-origin: 0% 0%;
        transition: 0.5s;
        opacity: 0;
    } */

    .navbar .nav-item:hover .dropdown-menu {
        transform: rotateX(0deg);
        visibility: visible;
        transition: 0.5s;
        opacity: 1;
    }
}

.navbar .dropdown-submenu {
    position: relative;
}

.navbar .dropdown-submenu .dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -1px;
    border-radius: 0.25rem;
}

.navbar .dropdown-submenu:hover .dropdown-menu {
    display: block;
}

.navbar .dropdown .dropdown-item:hover::after {
    transform: rotate(-90deg);
}

/* @media (max-width: 991.98px) {
    .navbar > .dropdown-submenu > .dropdown-menu {
        display: block;
    }
} */

.navbar .navbar-toggler {
    color: var(--dark) !important;
    border-color: var(--dark) !important;
    box-shadow: none !important;
}

.navbar .toggler-icon {
    font-size: 25px !important;
    color: var(--dark) !important;
    border-color: var(--dark) !important;
}

/*** Header ***/
#header-carousel .carousel-inner {
    width: 100%;
    height: 550px;
}
#header-carousel .carousel-item {
    width: 100%;
    height: 100%;
}
#header-carousel .carousel-caption {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, 0.4);
    z-index: 1;
}

#header-carousel .carousel-control-prev,
#header-carousel .carousel-control-next {
    width: 10%;
}

#header-carousel .carousel-control-prev-icon,
#header-carousel .carousel-control-next-icon {
    width: 2rem;
    height: 2rem;
}

@media (max-width: 768px) {
    #header-carousel .carousel-item {
        position: relative;
        min-height: 500px;
    }

    #header-carousel .carousel-item img {
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}

#header-carousel .carousel-indicators [data-bs-target] {
    width: 40px;
    height: 23px;
    text-indent: 0;
    margin-bottom: 8px;
    border: 2px solid var(--light);
    border-radius: 5px;
    overflow: hidden;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}

#header-carousel .carousel-indicators [data-bs-target] img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.page-header {
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
        url(../img/banner-header.jpg) center center no-repeat;
    background-size: cover;
}

/* .breadcrumb-item + .breadcrumb-item::before {
    color: var(--secondary);
} */

.page-header .breadcrumb-item + .breadcrumb-item::before {
    color: var(--light);
}

/*** Section Title ***/
.section-title {
    position: relative;
    display: inline-block;
    text-transform: uppercase;
}

.section-title::before {
    position: absolute;
    content: "";
    width: calc(100% + 80px);
    height: 2px;
    top: 4px;
    left: -40px;
    background: var(--primary);
    z-index: -1;
}

.section-title::after {
    position: absolute;
    content: "";
    width: calc(100% + 120px);
    height: 2px;
    bottom: 4px;
    left: -60px;
    background: var(--primary);
    z-index: -1;
}

.section-title.text-start::before {
    width: calc(100% + 40px);
    left: 0;
}

.section-title.text-start::after {
    width: calc(100% + 60px);
    left: 0;
}

/*** Footer ***/
.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: var(--light);
    font-size: 15px;
    font-weight: normal;
    text-transform: capitalize;
    transition: 0.3s;
}

.footer p {
    color: var(--light);
    font-size: 15px;
}

.footer .btn-square2 {
    color: var(--nav-color);
    background-color: var(--light);
    border: 1px solid var(--light);
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    transition: 0.7s;
    -webkit-transition: 0.7s;
    -moz-transition: 0.7s;
    -ms-transition: 0.7s;
    -o-transition: 0.7s;
}

.footer .btn-square2:hover {
    color: var(--light);
    background-color: var(--other);
    border: 1px solid var(--other);
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    color: var(--light);
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--other);
    letter-spacing: 1px;
    box-shadow: none;
}

.footer .copyright {
    padding: 25px 0;
    font-size: 15px !important;
    border-top: 1px solid rgba(256, 256, 256, 0.1);
}

.footer .copyright a {
    color: var(--light);
}

.footer .copyright a:hover {
    color: var(--nav-color);
}

/* Sticky Social Icons */
.sticky-container {
    padding: 0px;
    margin: 0px;
    position: fixed;
    right: -137px;
    top: 8.9%;
    width: 210px;
    z-index: 1100;
}

.sticky li {
    list-style-type: none;
    background-color: var(--light);
    color: var(--light);
    height: 43px;
    padding: 0px;
    margin: 0px 0px 1px 0px;
    -webkit-transition: all 0.25s ease-in-out;
    -moz-transition: all 0.25s ease-in-out;
    -o-transition: all 0.25s ease-in-out;
    transition: all 0.25s ease-in-out;
    cursor: pointer;
}

.sticky li:hover {
    margin-left: -115px;
}

.sticky li img {
    float: left;
    margin: 5px 4px;
    margin-right: 5px;
}

.sticky li p {
    padding-top: 5px;
    margin: 0px;
    line-height: 16px;
    font-size: 11px;
}

.sticky li p a {
    text-decoration: none;
    color: var(--secondary);
}

.sticky li p a:hover {
    text-decoration: underline;
}

#left-time {
    right: 0;
    width: 40px;
    height: 260px;
    z-index: 1100;
    top: 52%;
    padding-top: 7px;
    background: var(--green);
    writing-mode: vertical-rl;
    padding-right: 4px;
    position: fixed;
    border-top: 1px solid var(--green);
    text-align: center !important;
}

#left {
    left: -4px;
    width: 40px;
    height: 112px;
    z-index: 1100;
    font-weight: 600;
    top: 43%;
    padding-top: 7px;
    background: var(--green);
    writing-mode: vertical-rl;
    padding-right: 4px;
    position: fixed;
    text-align: center !important;
}

#left:hover a {
    text-decoration: none;
}

#left:hover span {
    color: var(--light) !important;
}

#right {
    left: 0;
    width: 35px;
    height: 40px;
    z-index: 1100;
    font-weight: 600;
    top: 36%;
    padding-top: 7px;
    background: var(--other);
    writing-mode: vertical-rl;
    padding-right: 4px;
    position: fixed;
    text-align: center !important;
}

#right-time {
    left: 0;
    width: 37px;
    height: 210px;
    z-index: 1100;
    font-weight: 600;
    top: 62%;
    padding-top: 7px;
    background: var(--other);
    writing-mode: vertical-rl;
    padding-right: 4px;
    position: fixed;
    text-align: center !important;
}

/* marquee image */
.new_dime {
    height: 30px;
    width: 50px;
}

/* About Section  */
.about h4 {
    color: var(--other);
    font-weight: 800;
    font-size: 30px;
}

.about p {
    color: var(--dark);
    font-weight: 500;
}

.about h5 {
    font-size: 24px;
    color: var(--other);
    font-weight: 800;
}

.about .mission {
    font-size: 15px;
}

/*-------------- Latest Notification --------------*/
.bg-section {
    background: url(../img/bg-section.jpg) fixed rgba(244, 244, 244, 0.3);
    background-repeat: no-repeat;
    background-size: cover;
    padding: 60px 0;
    margin-top: 90px;
}

.bg-section ul li a {
    font-size: 14px !important;
}

.back_ribbon {
    /* width: 317px;
    height: 418px; */
    background: var(--nav-color) !important;
}

.back_ribbon ul li a {
    color: var(--light) !important;
}

.ribbon-wrapper {
    position: relative;
    z-index: 998;
}

.ribbon-front {
    background-color: var(--oranger);
    height: 50px;
    width: 100%;
    position: relative;
    /* left: -10px; */
    /* z-index: 2; */
    font: 18px/48px bold Verdana, Geneva, sans-serif;
    color: var(--dark);
    text-align: center;
}

.ribbon-front,
.ribbon-back-left,
.ribbon-back-right {
    -moz-box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.55);
    -khtml-box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.55);
    -webkit-box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.55);
    -o-box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.55);
}

.ribbon-edge-topleft,
.ribbon-edge-topright,
.ribbon-edge-bottomleft,
.ribbon-edge-bottomright {
    position: absolute;
    z-index: 1;
    border-style: solid;
    height: 0px;
    width: 0px;
}

.ribbon-edge-bottomleft,
.ribbon-edge-bottomright {
    top: 50px;
}

/* .ribbon-edge-topleft,
.ribbon-edge-bottomleft {
    left: -10px;
    border-color: transparent #9b1724 transparent transparent;
} */

.ribbon-edge-topleft {
    top: -5px;
    border-width: 5px 10px 0 0;
}

.ribbon-edge-bottomleft {
    border-width: 0 10px 0px 0;
}

.ribbon-edge-topright,
.ribbon-edge-bottomright {
    border-color: transparent transparent transparent var(--oranger);
}

.ribbon-edge-topright {
    top: 0px;
    border-width: 0px 0 0 10px;
}

.ribbon-edge-bottomright {
    border-width: 0 0 5px 10px;
}

@-webkit-keyframes flow {
    0% {
        left: -20px;
        opacity: 0;
    }
    50% {
        left: 100px;
        opacity: 0.3;
    }
    100% {
        left: 180px;
        opacity: 0;
    }
}

@keyframes flow {
    0% {
        left: -20px;
        opacity: 0;
    }
    50% {
        left: 100px;
        opacity: 0.3;
    }
    100% {
        left: 180px;
        opacity: 0;
    }
}

.new_dime {
    height: 30px;
    width: 50px;
}

.notification-content h4 {
    font-size: 28px;
    font-weight: 700;
    color: var(--light);
}

/* flipcard design */
.flip-card {
    background-color: transparent;
    width: 160px;
    height: 160px;
    perspective: 1000px;
}

.flip-card-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform 0.6s;
    transform-style: preserve-3d;
}

.flip-card:hover .flip-card-inner {
    transform: rotateY(180deg);
}

.flip-card-front,
.flip-card-back,
.flip-card-front2,
.flip-card-back2 {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    border-radius: 6px;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    -ms-border-radius: 6px;
    -o-border-radius: 6px;
}

.flip-card-front {
    background-color: var(--oranger);
    color: var(--light);
    padding-top: 33px;
}

.flip-card-front h6 {
    color: var(--dark);
}

.flip-card-front2 h6 {
    color: var(--light);
}

.flip-card-front2 {
    background-color: var(--other);
    color: var(--light);
    padding-top: 33px;
}

.flip-card-back {
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--nav-color);
    color: var(--light);
    transform: rotateY(180deg);
}

.flip-card-back2 {
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--nav-color);
    color: var(--light);
    transform: rotateY(180deg);
}

.flip-card-back a,
.flip-card-back2 a {
    border: 2px solid var(--light);
    color: var(--light);
    font-size: 15px;
    font-weight: 500;
    padding: 4px 12px;
    border-radius: 4px;
}

.flip-card-back a:hover,
.flip-card-back2 a:hover {
    border: 2px solid var(--oranger);
    background-color: var(--oranger);
    color: var(--dark);
}

/*** Our Toppers ***/
.top-student-carousel .owl-nav {
    margin-top: 30px;
    display: flex;
    justify-content: center;
}

.top-student-carousel .owl-nav .owl-prev,
.top-student-carousel .owl-nav .owl-next {
    margin: 0 12px;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid var(--other);
    border-radius: 50px;
    font-size: 18px;
    transition: 0.5s;
}

.top-student-carousel .owl-nav .owl-prev:hover,
.top-student-carousel .owl-nav .owl-next:hover {
    color: var(--light);
    border-color: var(--other);
    background: var(--other);
}

/* gallery */
.view-more .btn {
    color: var(--dark);
}
/*--------------------------------------------------------------
# Contact Section
--------------------------------------------------------------*/
.contact {
    margin-top: 40px;
}
.contact .info-container {
    background-color: var(--nav-color);
    height: 100%;
    padding: 20px;
}

.contact .info-item {
    width: 100%;
    margin-bottom: 20px;
    padding: 20px;
    color: var(--light);
    background-color: color-mix(in srgb, var(--dark), transparent 86%);
}

.contact .info-item:last-child {
    margin-bottom: 0;
}

.contact .info-item i {
    font-size: 20px;
    color: var(--light);
    background-color: color-mix(in srgb, var(--light), transparent 80%);
    width: 44px;
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50px;
    transition: all 0.3s ease-in-out;
    margin-right: 15px;
}

.contact .info-item h3 {
    color: var(--light);
    font-size: 20px;
    padding: 0;
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 5px;
}

.contact .info-item p {
    padding: 0;
    margin-bottom: 0;
    font-size: 14px;
}

.contact .info-item:hover i {
    background: var(--oranger);
    color: var(--dark);
}

.contact .php-email-form {
    padding: 30px;
    background-color: var(--light);
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.1);
    width: 100%;
    height: 100%;
    padding: 30px;
}

.contact .php-email-form button[type="submit"] {
    color: var(--dark);
    background: var(--oranger);
    font-weight: 500;
    border: 0;
    padding: 10px 30px;
    transition: 0.4s;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}

.contact .php-email-form button[type="submit"]:hover {
    background: color-mix(in srgb, var(--nav-color), transparent 10%);
    color: var(--light);
}

.contact .php-email-form input[type="text"],
.contact .php-email-form input[type="email"],
.contact .php-email-form textarea {
    font-size: 14px;
    padding: 10px 15px;
    box-shadow: none;
    border-radius: 0;
    color: var(--secondary);
    background-color: var(--light);
    border-color: color-mix(in srgb, var(--dark), transparent 50%);
}

.contact .php-email-form input[type="text"]:focus,
.contact .php-email-form input[type="email"]:focus,
.contact .php-email-form textarea:focus {
    border-color: var(--nav-color);
}

.contact .php-email-form input[type="text"]::placeholder,
.contact .php-email-form input[type="email"]::placeholder,
.contact .php-email-form textarea::placeholder {
    color: color-mix(in srgb, var(--dark), transparent 70%);
}
